> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# listBots

> List bots



## OpenAPI

````yaml admin-openapi.json get /v1/admin/bots
openapi: 3.0.0
info:
  title: Botpress Admin API
  description: API for Botpress Cloud Manager
  version: 1.52.1
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/admin/bots:
    get:
      tags:
        - Endpoints
      description: List bots
      operationId: listBots
      parameters:
        - name: dev
          in: query
          description: >-
            If true, only dev bots are returned. Otherwise, only production bots
            are returned.
          required: false
          schema:
            type: boolean
        - name: tags
          in: query
          description: Filter by tags
          schema:
            type: object
            additionalProperties:
              type: string
        - name: nextToken
          in: query
          description: >-
            Provide the `meta.nextToken` value provided in the last API response
            to retrieve the next page of results
          schema:
            type: string
        - name: sortField
          in: query
          description: Sort results by this field
          schema:
            type: string
            enum:
              - createdAt
              - updatedAt
        - name: sortDirection
          in: query
          description: Sort results in this direction
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: x-workspace-id
          in: header
          description: Workspace ID
          required: true
          schema:
            type: string
        - name: x-multiple-integrations
          in: header
          description: >-
            Whether the client supports bots with multiple instances of the same
            integration. Set to "true" to receive integration instances keyed by
            their alias instead of their id. This header will be removed in the
            future, and the API will always return multiple instances keyed by
            alias.
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/listBotsResponse'
        default:
          $ref: '#/components/responses/listBotsResponse'
components:
  responses:
    listBotsResponse:
      description: Success
      content:
        application/json:
          schema:
            type: object
            properties:
              bots:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      minLength: 28
                      maxLength: 36
                      description: Id of the [Bot](#schema_bot)
                    createdAt:
                      type: string
                      format: date-time
                      description: >-
                        Creation date of the [Bot](#schema_bot) in ISO 8601
                        format
                    updatedAt:
                      type: string
                      format: date-time
                      description: >-
                        Updating date of the [Bot](#schema_bot) in ISO 8601
                        format
                    name:
                      type: string
                    deployedAt:
                      type: string
                      format: date-time
                    tags:
                      type: object
                      additionalProperties:
                        type: string
                      description: Tags of [Bot](#schema_bot)
                  required:
                    - id
                    - createdAt
                    - updatedAt
                    - name
                    - tags
              meta:
                type: object
                properties:
                  nextToken:
                    type: string
                    description: >-
                      The token to use to retrieve the next page of results,
                      passed as a query string parameter (value should be
                      URL-encoded) to this API endpoint.
                additionalProperties: false
            required:
              - bots
              - meta
            title: listBotsResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````